Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.management.configuration
Interface JMSDestinationKeyMBean

public interface JMSDestinationKeyMBean
extends ConfigurationMBean, JMSConstants

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.management.configuration.JMSConstants
`ACKNOWLEDGE_MODE_AUTO, ACKNOWLEDGE_MODE_CLIENT, ACKNOWLEDGE_MODE_DUPS_OK, ACKNOWLEDGE_MODE_NONE, DESTINATION_TYPE_QUEUE, DESTINATION_TYPE_TOPIC, KEEP_NEW, KEEP_OLD, KEY_DIRECTION_ASCENDING, KEY_DIRECTION_DESCENDING, KEY_TYPE_BOOLEAN, KEY_TYPE_BYTE, KEY_TYPE_DOUBLE, KEY_TYPE_FLOAT, KEY_TYPE_INT, KEY_TYPE_LONG, KEY_TYPE_SHORT, KEY_TYPE_STRING, NO_DELIVERY, NON_PERSISTENT, PERSISTENT, PRIORITY_DEFAULT, PRIORITY_MAXIMUM, PRIORITY_MINIMUM, STORE_ENABLED_DEFAULT, STORE_ENABLED_FALSE, STORE_ENABLED_TRUE, STORE_TYPE_FILE, STORE_TYPE_JDBC, TRANSACTION_MODE_51, TRANSACTION_MODE_NONE, TRANSACTION_MODE_XA`

Method Summary
`java.lang.String` | `getDirection()` Returns the direction for this key
`java.lang.String` | `getKeyType()` Returns the expected property type for this key
`java.lang.String` | `getProperty()` Returns the property name for this key
`void` | `setDirection(java.lang.String direction)` set the direction for this key
`void` | `setKeyType(java.lang.String type)` Set the expected property type for this key
`void` | `setProperty(java.lang.String property)` set the property name for this key

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`getNotes, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getProperty

    public java.lang.String getProperty()

  Returns the property name for this key

### setProperty

    public void setProperty(java.lang.String property)
                     throws javax.management.InvalidAttributeValueException

  set the property name for this key

  Legal Value: value != void && value.trim().length() != 0
  Legal NULL: false

### getKeyType

    public java.lang.String getKeyType()

  Returns the expected property type for this key

### setKeyType

    public void setKeyType(java.lang.String type)
                    throws javax.management.InvalidAttributeValueException

  Set the expected property type for this key

  Default Value: weblogic.management.configuration.JMSConstants.KEY_TYPE_STRING
  Legal Values: weblogic.management.configuration.JMSConstants.KEY_TYPE_BOOLEAN,weblogic.management.configuration.JMSConstants.KEY_TYPE_BYTE,weblogic.management.configuration.JMSConstants.KEY_TYPE_SHORT,weblogic.management.configuration.JMSConstants.KEY_TYPE_INT,weblogic.management.configuration.JMSConstants.KEY_TYPE_LONG,weblogic.management.configuration.JMSConstants.KEY_TYPE_FLOAT,weblogic.management.configuration.JMSConstants.KEY_TYPE_DOUBLE,weblogic.management.configuration.JMSConstants.KEY_TYPE_STRING FIXME pcal 02-Oct-00 Something is broken with mbeanc - it isn't picking up the legal values unless the classes are fully-specified.

### getDirection

    public java.lang.String getDirection()

  Returns the direction for this key

### setDirection

    public void setDirection(java.lang.String direction)
                      throws javax.management.InvalidAttributeValueException

  set the direction for this key

  Default Value: weblogic.management.configuration.JMSConstants.KEY_DIRECTION_ASCENDING
  Legal Values: weblogic.management.configuration.JMSConstants.KEY_DIRECTION_ASCENDING,weblogic.management.configuration.JMSConstants.KEY_DIRECTION_DESCENDING FIXME pcal 02-Oct-00 Something is broken with mbeanc - it isn't picking up the legal values unless the classes are fully-specified.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD